Summary: GNU C Compiler
Name: gcc
Version: 2.7.2.3
Release: 2
Copyright: GPL
Group: Development/Languages
Source: ftp://prep.ai.mit.edu/pub/gnu/gcc-2.7.2.3.tar.gz
Requires: binutils
BuildRoot: /tmp/gcc

%description
The GNU C compiler -- a full featured ANSI C compiler, with support
for K&R C as well. GCC provides many levels of source code error
checking tradionaly provided by other tools (such as lint), produces
debugging information, and can perform many different optimizations to
the resulting object code. This contains the back end for C++ and 
Objective C compilers as well.

%package c++
Summary: C++ support for gcc
Group: Development/Languages
Requires: gcc = 2.7.2.3

%description c++
This package adds C++ support to the GNU C compiler. It includes support
for most of the current C++ specification, including templates and
exception handling. It does not include a standard C++ library, which
is available separately.

%package objc
Requires: gcc = 2.7.2.3
Summary: Objective C support for gcc
Group: Development/Languages

%description objc
This package adds Objective C support to the GNU C compiler. Objective
C is a object oriented derivative of the C language, mainly used on
systems running NeXTSTEP. This package does not include the standard
objective C object library.

%prep
%setup

%build

./configure --prefix=/usr --gxx-include-dir=/usr/include/g++

make LANGUAGES=c
make stage1
make CC="stage1/xgcc -Bstage1/" CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local
make CC="stage1/xgcc -Bstage1/" CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" \
	prefix=$RPM_BUILD_ROOT/usr \
	local_prefix=$RPM_BUILD_ROOT/usr/local install

gzip -n -9f $RPM_BUILD_ROOT/usr/info/gcc.info* $RPM_BUILD_ROOT/usr/info/cpp.info*

rm -f $RPM_BUILD_ROOT/usr/bin/c++
ln -sf g++ $RPM_BUILD_ROOT/usr/bin/c++
ln -sf gcc $RPM_BUILD_ROOT/usr/bin/cc
ln -sf cccp.1 $RPM_BUILD_ROOT/usr/man/man1/cpp.1

mkdir $RPM_BUILD_ROOT/lib
ln -sf ../usr/lib/gcc-lib/`echo ${RPM_ARCH} | tr 3 5`-unknown-linux-gnulibc1/${RPM_PACKAGE_VERSION}/cpp $RPM_BUILD_ROOT/lib/cpp

%files
%doc BUGS COPYING COPYING.LIB ChangeLog NEWS PROBLEMS TESTS.FLUNK

/lib/cpp
/usr/bin/cc
/usr/bin/gcc
# don't think we really want this /usr/bin/i586-unknown-linux-gnulibc1-gcc
/usr/bin/protoize
/usr/bin/unprotoize
# don't think we want this either /usr/i586-unknown-linux-gnulibc1
/usr/info/cpp.info*
/usr/info/gcc.info*
%dir /usr/lib/gcc-lib
%dir /usr/lib/gcc-lib/i586-unknown-linux-gnulibc1
%dir /usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3
%dir /usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/syslimits.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/stdarg.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/stddef.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/varargs.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-alpha.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-h8300.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-i860.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-i960.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-mips.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-m88k.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-pa.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-pyr.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-sparc.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-clipper.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-spur.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/iso646.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/va-ppc.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/proto.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/limits.h
%doc /usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/README
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/float.h
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/cc1
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/crtbegin.o
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/crtbeginS.o
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/crtend.o
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/crtendS.o
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/specs
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/SYSCALLS.c.X
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/cpp
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/libgcc.a
%dir /usr/local/include
/usr/man/man1/cccp.1
/usr/man/man1/cpp.1
/usr/man/man1/gcc.1

%doc NEWS PROBLEMS

%files c++
/usr/bin/c++
/usr/bin/g++
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/cc1plus
/usr/man/man1/g++.1

%files objc
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/cc1obj
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/include/objc
/usr/lib/gcc-lib/i586-unknown-linux-gnulibc1/2.7.2.3/libobjc.a

# Local variables:
# compile-command: "rpm -ba --short-circuit gcc-2.7.2.3.spec"
# End:
